# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        OGMRip plugin to extract video title without any encoding
Name:           ogmrip-video-copy
Version:        0.3
Release:        lp150.2.7
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-video-copy-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libogmrip-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
Requires:       MPlayer
Requires:       ogmrip
BuildRequires:  MPlayer
BuildRequires:  ogmrip

%description
ogmrip-video-copy is a plugin for OGMRip which enables the extraction
of a video title without any encoding.

%prep
%setup -q

%build
%configure \
    --enable-static=no
%__make %{?jobs:-j%{jobs}} 

%install
%makeinstall\
    video_codecsdir=%{_libdir}/ogmrip/video-plugins

%find_lang %{name}

%__rm %{buildroot}%{_libdir}/ogmrip/video-plugins/libogmrip-video-copy.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-video-copy.so
%dir %{_datadir}/ogmrip
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profile-video-copy.xml

%changelog
* Thu Dec 24 2009 toni@links2linux.de
- update to 0.3
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
